Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# ntp-time.h File Reference

`#include "ace/OS.h"`
`#include "RTCP.h"`

Include dependency graph for ntp-time.h:

This graph shows which files directly or indirectly include this file:

## Functions
ACE_INLINE u_int | usec2ntp (u_int usec)
ACE_INLINE TAO_AV_RTCP::ntp64 | ntp64time (timeval tv)
ACE_INLINE ACE_UINT32 | ntptime (timeval t)
ACE_INLINE ACE_UINT32 | ntptime ()
ACE_INLINE timeval | unixtime ()
## Variables
const ACE_UINT32 | GETTIMEOFDAY_TO_NTP_OFFSET = 2208988800U

## Function Documentation

ACE_INLINE TAO_AV_RTCP::ntp64 ntp64time | ( | timeval | tv | ) |

ACE_INLINE ACE_UINT32 ntptime | ( |  | ) |

ACE_INLINE ACE_UINT32 ntptime | ( | timeval | t | ) |

ACE_INLINE timeval unixtime | ( |  | ) |

ACE_INLINE u_int usec2ntp | ( | u_int | usec | ) |

## Variable Documentation

const ACE_UINT32 GETTIMEOFDAY_TO_NTP_OFFSET = 2208988800U